package com.pfc.app.nbff;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.text.InputType;
import android.text.method.PasswordTransformationMethod;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnKeyListener;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class ActividadFormularioAlta extends ListActivity{

	
	static final String[] OPCIONES = new String[] {"Nombre", "Apellidos", "Nombre de Usuario", "Contraseña", "E-mail"};
	
	private String nombreUsuario = new String();
	private String apellidos = new String();
	private String nickName = new String();
	private String password = new String();
	private String email = new String();
	
	
	/** Se llama a este m�todo cuando se crea la actividad.
     * 
     * @param savedInstanceState Contendr� los datos guardados a trav�s del m�todo onSavedInstance(Bundle) si la actividad a sido arrancada poco despu�s de haber sido cerrada.
     */
	
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        
        nickName = getIntent().getStringExtra("nick");
        
       /* nombreUsuario = getIntent().getStringExtra("nombre");
        apellidos = getIntent().getStringExtra("apellidos");
        password = getIntent().getStringExtra("pass");
        email = getIntent().getStringExtra("email");
        */
        
        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
        
	}

	
	protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		final AlertDialog dialogo;
		
		switch (i) {
		case 0:
			final AlertDialog.Builder constructorNom = new AlertDialog.Builder(ActividadFormularioAlta.this);
			constructorNom.setTitle(R.string.tituloNombre);
			constructorNom.setCancelable(true);
			final EditText editNombre = new EditText(ActividadFormularioAlta.this);
			editNombre.setText(nombreUsuario);
			constructorNom.setView(editNombre);
		
			constructorNom.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					nombreUsuario = editNombre.getText().toString();
					dialog.dismiss();
					
				}
			});
			
			dialogo = constructorNom.create();
			dialogo.show();
			break;
		case 1:
			AlertDialog.Builder constructorAp = new AlertDialog.Builder(ActividadFormularioAlta.this);
			constructorAp.setTitle(R.string.tituloApellidos);
			constructorAp.setCancelable(true);
			final EditText editApellido = new EditText(ActividadFormularioAlta.this);
			editApellido.setText(apellidos);
			constructorAp.setView(editApellido);
		
			constructorAp.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					apellidos = editApellido.getText().toString();
					dialog.dismiss();
					
				}
			});

			dialogo = constructorAp.create();
			dialogo.show();
			break;
		case 2:
			AlertDialog.Builder constructorNick = new AlertDialog.Builder(ActividadFormularioAlta.this);
			constructorNick.setTitle(R.string.tituloNick);
			constructorNick.setCancelable(true);
			final EditText editNick = new EditText(ActividadFormularioAlta.this);
			editNick.setText(nickName);
			constructorNick.setView(editNick);
		
			constructorNick.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					nickName = editNick.getText().toString();
					dialog.dismiss();
					
				}
			});

			dialogo = constructorNick.create();
			dialogo.show();
			break;
		case 3:
			AlertDialog.Builder constructorPass = new AlertDialog.Builder(ActividadFormularioAlta.this);
			constructorPass.setTitle(R.string.tituloContraseña);
			constructorPass.setCancelable(true);
			final EditText editPass = new EditText(ActividadFormularioAlta.this);
			editPass.setInputType(InputType.TYPE_TEXT_VARIATION_PASSWORD);
			editPass.setTransformationMethod(PasswordTransformationMethod.getInstance());
			editPass.setText(password);
			constructorPass.setView(editPass);
		
			constructorPass.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					password = editPass.getText().toString();
					dialog.dismiss();
					
				}
			});
			
			dialogo = constructorPass.create();
			dialogo.show();
			break;
		case 4:
			AlertDialog.Builder constructorMail = new AlertDialog.Builder(ActividadFormularioAlta.this);
			constructorMail.setTitle(R.string.tituloEmail);
			constructorMail.setCancelable(true);
			final EditText editMail = new EditText(ActividadFormularioAlta.this);
			editMail.setText(email);
			constructorMail.setView(editMail);
		
			constructorMail.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					email = editMail.getText().toString();
					dialog.dismiss();
					
				}
			});
			
			dialogo = constructorMail.create();
			dialogo.show();
			break;
		}
				
	}
	
public boolean onCreateOptionsMenu (Menu menu){
		
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, 0, 0, R.string.siguiente).setIcon(R.drawable.salvarycontinuar);
		return result;
		
	}
	
	public boolean onOptionsItemSelected (MenuItem item){
		switch(item.getItemId()){
		
		case 0:
		
			Log.i("SeleccionSalvar", "a ver a ver esto qué es?");
			if(nombreUsuario.length() == 0 || apellidos.length() == 0 || password.length() == 0 || email.length() == 0 || nickName.length() == 0){
				Log.i("SeleccionSalvar", "a ver a ver qué va a pasar?");
				Toast.makeText(ActividadFormularioAlta.this, R.string.rellenaForm, Toast.LENGTH_LONG).show();
				return false;
			}else{
				Intent data = new Intent (this, ActividadMapa.class);
				data.putExtra("nombre", nombreUsuario);
				data.putExtra("apellidos", apellidos);
				data.putExtra("pass", password);
				data.putExtra("nick", nickName);
				data.putExtra("email", email);
				
				setResult(1,data);
				
				Intent iFormularioPreferencias = new Intent (ActividadFormularioAlta.this, ActividadFormularioPreferencias.class);
		 		iFormularioPreferencias.putExtra("nombre", nombreUsuario);
		 		iFormularioPreferencias.putExtra("pass", password);
		 		iFormularioPreferencias.putExtra("email", email);
		 		iFormularioPreferencias.putExtra("nick", nickName);
		 		iFormularioPreferencias.putExtra("apellidos", apellidos);
		 		Log.i("SeleccionSalvar", "Se va a lanzar el segundo formulario con los datos añadidos");
				startActivity(iFormularioPreferencias);
				Log.i("SeleccionSalvar", "Se ha lanzado el segundo formulario");
				
				
				finish();
			}
			
		}
		return super.onOptionsItemSelected(item);
		
	}
	
	//Método onResult
	
	
	
}
